// *************************************
//
//   Scripts Task
//
// *************************************

// -------------------------------------
//   Modules
// -------------------------------------
//
// imagemin              : Image optimizer
var sourceMaps = require('gulp-sourcemaps');
var concat = require('gulp-concat');

module.exports = function(gulp, config){
    return gulp.src(config.scripts.src)
        .pipe(sourceMaps.init())
        .pipe(concat(config.scripts.filename))
        .pipe(sourceMaps.write())
        .pipe(gulp.dest(config.scripts.dest))
};